Impossible d’installer PHPUnit via PEAR, requirejs PEAR Installer> = 1.9.2, impossible de mettre à niveau PEAR à partir de 1.9.0

J’ai lu les autres questions d’installation de PHPUnit mais je n’ai pas eu de succès. Que se passe-t-il avec mon installation PEAR?

$ sudo pear update-channels Updating channel "components.ez.no" Channel "components.ez.no" is up to date Updating channel "doc.php.net" Channel "doc.php.net" is up to date Updating channel "pear.php.net" Channel "pear.php.net" is up to date Updating channel "pear.phpunit.de" Channel "pear.phpunit.de" is up to date Updating channel "pear.symfony-project.com" Channel "pear.symfony-project.com" is up to date Updating channel "pecl.php.net" Channel "pecl.php.net" is up to date $ sudo pear upgrade pear Nothing to upgrade $ sudo pear install phpunit/PHPUnit phpunit/PHPUnit requires PEAR Installer (version >= 1.9.2), installed version is 1.9.0 phpunit/PHPUnit can optionally use PHP extension "dbus" phpunit/DbUnit requires PEAR Installer (version >= 1.9.2), installed version is 1.9.0 phpunit/File_Iterator requires PEAR Installer (version >= 1.9.2), installed version is 1.9.0 phpunit/PHP_CodeCoverage requires PEAR Installer (version >= 1.9.1), installed version is 1.9.0 phpunit/PHP_CodeCoverage requires package "phpunit/File_Iterator" (version >= 1.2.2) phpunit/PHP_CodeCoverage can optionally use PHP extension "xdebug" (version >= 2.0.5) phpunit/PHPUnit_MockObject requires PEAR Installer (version >= 1.9.2), installed version is 1.9.0 phpunit/PHPUnit_Selenium requires PEAR Installer (version >= 1.9.2), installed version is 1.9.0 phpunit/PHP_TokenStream requires PEAR Installer (version >= 1.9.1), installed version is 1.9.0 No valid packages found install failed $ pear list Installed packages, channel pear.php.net: ========================================= Package Version State Archive_Tar 1.3.7 stable Cache_Lite 1.7.11 stable Console_Getopt 1.3.1 stable HTTP_Request2 2.0.0RC1 beta Net_URL2 0.3.1 beta PEAR 1.9.3 stable Structures_Graph 1.0.4 stable XML_RPC2 1.1.1 stable XML_Util 1.2.1 stable greg@ubuntu:~$ pear -V PEAR Version: 1.9.0 PHP Version: 5.3.6 Zend Engine Version: 2.3.0 Running on: Linux ubuntu 2.6.32-32-generic-pae #62-Ubuntu SMP Wed Apr 20 22:10:33 UTC 2011 i686 

rapports sur la pear list 1.9.3 installés, pear -V rapporte 1.9.0!?!

Mettre à jour la suggestion de KingCrunch.

 $ sudo pear install -f pear [sudo] password for greg: downloading PEAR-1.9.3.tgz ... Starting to download PEAR-1.9.3.tgz (295,774 bytes) ...........................done: 295,774 bytes install ok: channel://pear.php.net/PEAR-1.9.3 PEAR: Optional feature webinstaller available (PEAR's web-based installer) PEAR: Optional feature gtkinstaller available (PEAR's PHP-GTK-based installer) PEAR: Optional feature gtk2installer available (PEAR's PHP-GTK2-based installer) PEAR: To install optional features use "pear install pear/PEAR#featurename" $ pear -V PEAR Version: 1.9.0 PHP Version: 5.3.6 Zend Engine Version: 2.3.0 Running on: Linux ubuntu 2.6.32-32-generic-pae #62-Ubuntu SMP Wed Apr 20 22:10:33 UTC 2011 i686 

Vous avez fondamentalement 2 installations de poires sur votre machine, et la commande “mise à jour de poire” met à jour l’autre, pas elle-même.

Je suppose que la version poire que vous utilisez a été installée via apt d’ubuntu.

Découvrez où il a été installé avec apt (sur Debian / Ubuntu):

 $ dpkg -L php-pear ... /usr/share/php/PEAR.php ... /usr/bin/pear 

Voyons maintenant où pear installe les fichiers pour:

 $ pear config-get php_dir /usr/share/php 

Sur ma machine, c’est pareil – mais probablement pas sur le vôtre, ce qui est le problème. Corrigez-le en définissant le php_dir , ainsi que le bin_dir :

 $ pear config-set php_dir /usr/share/php $ pear config-set bin_dir /usr/bin 

Sinon , retirez la poire Ubuntu et installez-la fraîchement depuis http://pear.php.net/go-pear.phar

Si vous ne réussissez pas avec la partie poire, regardez ceci.

 wget https://phar.phpunit.de/phpunit.phar chmod +x phpunit.phar mv phpunit.phar /usr/local/bin/phpunit 

ref: http://phpunit.de/manual/3.7/en/installation.html

Vous pouvez également utiliser le PHAR immédiatement après l’avoir téléchargé;

 wget https://phar.phpunit.de/phpunit.phar php phpunit.phar